/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ExternalEndpoint.java 9604 2008-11-24 15:35:17Z rnaudin $
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.jbi.messaging.endpoint;

import java.io.Serializable;

import javax.jbi.servicedesc.ServiceEndpoint;

/**
 * @version $Rev: 9604 $ $Date: 2008-11-24 16:35:17 +0100 (Mon, 24 Nov 2008) $
 * @since Petals 1.0
 * @author alouis,<a href="mailto:rmarins@fossilec.com">Rafael Marins</a>
 */
public class ExternalEndpoint extends AbstractEndpoint implements
    ServiceEndpoint, Serializable {

    /**
     * Serial UID
     */
    private static final long serialVersionUID = 654543354L;

    /**
     * @param endpoint
     */
    public ExternalEndpoint(ServiceEndpoint endpoint, String componentname,
        String containerName, String subDomainName) {
        super(endpoint.getServiceName(), endpoint.getEndpointName(),
            componentname, containerName,subDomainName, EndpointType.EXTERNAL, null);
    }

}
